const { formmat } = require("../../utils/http");
const { MediaService, MediaOnceService, ArticleService } = require("../../service/media/index");
async function MediaController(data) {
  let list = await MediaService(data);
  return formmat(list, 0, "ok");
}

async function MediaOnceController(data) {
  let once = await MediaOnceService(data);
  return formmat(once, 0, "ok");
}

async function getArticleController(data) {
  let article = await ArticleService(data);
  return formmat(article, 0, "ok");
}


module.exports = {
  MediaController,
  MediaOnceController,
  getArticleController
}